Name:           python-app-server
Version:        1.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        a lightweight web application launcher for gunicorn and static files.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/viur-framework/viur-app_server/issues
Source:         %{pypi_source app_server}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'app-server' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-app-server
Summary:        %{summary}

%description -n python3-app-server %_description


%prep
%autosetup -p1 -n app_server-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-app-server -f %{pyproject_files}


%changelog
%autochangelog